function fcnmoBLA(hObject, eventdata, Empty_Button, Buttons, AxesRAW)
data = get(Empty_Button,'UserData');

if (isfield(data,'isdata')*isfield(data,'bdislive') == 1) && (data.isdata*data.bdislive == 1)
    pt = get(hObject, 'CurrentPoint');
    sz = get(hObject, 'Position');
    x = pt(1,1:2)./sz(1,3:4);

    posD   = get(AxesRAW, 'Position');

    if (posD(1) < x(1)) && (x(1) < posD(1)+posD(3)) && (posD(2) < x(2)) && (x(2) < posD(2)+posD(4))
        val = get(AxesRAW, 'CurrentPoint');
        xbd(2) = val(1,1);
        xbd(1) = data.bd.dwn(1);

        xl = get(AxesRAW,'xlim');
        yl = get(AxesRAW,'ylim');

        if isfield(data, 'noc') ~= 1
            data.noc = 0;
        end
        
        lcf = [.7 .7 1];

        axes(AxesRAW);
        fill(xbd([1 2 2 1 1]), data.yl([1 1 2 2 1]), lcf);
        hold(AxesRAW, 'on');
        for i=1:data.nobd
            fill(data.xbd(i,[1 2 2 1 1]), data.yl([1 1 2 2 1]), lcf);
        end
        plot(AxesRAW,data.x,data.D','k');
        set(AxesRAW, 'xlim', xl, 'ylim', yl);
        xlabel(AxesRAW,'channel');
        hold(AxesRAW, 'off');
    end
end
